init:

    # Basic parameters for setting up window.
    $ library.script_version = (5, 6, 1)

    $ config.screen_width = 800
    $ config.screen_height = 600
    $ config.window_title = "Lakeside Sunset"

    # Styles & Themes

    $ theme.roundrect(button_menu=False, window="#000")
    $ style.menu_choice.hover_color = (255, 255, 255, 255) # white
    $ style.menu_choice.idle_color = (150, 150, 150, 255) # light gray
    $ style.mm_root.background = Image("mainmenu.jpg")
    $ _window_during_transitions = True
    $ left = Position(xpos=30, xanchor=0.0)

    $ config.developer = False

    


    # Images used.

    image bg lake = "rowing_rudern.jpg"
    image bg sky = "sunset-sun-x4.JPG"
    image bg ripple = "waves-53q.jpg"
    image bg rocks = "river-stones_photo.jpg"
    image bg sunsetmemory = "lamp-sunset-ol46.jpg"
    image bg sunsetpromise = "lake-sun-r5n8.jpg"
    image black = Solid((0, 0, 0, 255))

    image flora = "flora_lineart.png"
    image floracolour = "flora_colour.png"
    
    
    # Character objects.
    $ f = Character(u'Voice', color=(200, 255, 200, 255))
    $ m = Character(u'Me', color=(200, 255, 200, 255))


label start:

    $ save_name = "The Promise"
    $ renpy.clear_game_runtime()
    $ renpy.music.play('lazy_lake_reflections.mp3')

    # The Promise

    scene black
    $ renpy.pause(1.0)
    show text "{i}Shall we make a promise?{/i}" with dissolve
    $ renpy.pause(2.0)
    hide text with dissolve

    show text "{i}Two years from now, let's meet back here.{/i}" with dissolve
    $ renpy.pause(2.0)
    hide text with dissolve

    show text "{i}And if we haven't forgotten each other,{i}" with dissolve
    $ renpy.pause(2.0)
    hide text with dissolve

    show text "{i} we'll watch the sunset together on this lake.{/i}" with dissolve
    $ renpy.pause(3.0)
    hide text with dissolve

    # The Lakeside
    $ save_name = "The Lakeside"

    scene bg lake with fade
    
    "It was a quiet evening."

    "I lay half-asleep in my little rowboat, out on the lake. The sunrays dappled the trees on the horizon as I drowsily watched the birds on the shore."

    "It was that sort of lazy, drowsy day too, two years ago when Flora and I had separated."

    show flora at left with dissolve

    "Flora."

    "I could still remember her smile. It had been the most beautiful sight in the world to me at that time."

    with None
    scene bg sky
    show flora at left
    with dissolve

    "When she smiled, it was as if the heavens lit up, and the sun shone down on  the world with benevolent splendour."

    "Flora never laughed. But she never had to. That sweet, soft smile was all that was     necessary." 

    "I fell in love with that smile the moment I saw it."

    hide flora with dissolve

    "Was she smiling today? Somewhere, out there, wherever she was - did she still bear on her face the smile that could light the sky?"

    "I guess I would never know."

    $ save_name = "Ripples"
    scene bg ripple with fade

    "The water underneath the boat rippled as I slowly got up."

    "Ripples."

    "Waves caused in a single moment of time, by a single incident."

    "Ever-spreading, ever moving on, magnifying the impact of that incident until it covered the entire lake."

    "Travelling, bearing news of that one remarkable time when something happened."

    "Not resting or stopping until they reached the shore, where they would gently lap against the rocks."

    show flora at center with dissolve

    "People were like ripples."

    "A chance meeting, a golden summer, a collision between two hearts. Incidents that would strike the surface of their lives and leave a mark."

    "And that mark would spread and deepen with time, coming to mean more and more as they grew."

    "Just a simple message found in a small incident in their lives, but they would carry it forever." 

    hide flora with dissolve
    scene bg rocks with fade

    "Until they meet the shore."

    "What happened if that tiny ripple met something that was greater than itself? Something that could absorb its message of the incident that started it all?"

    "Would that message, that incident, disappear from the surface of the lake?"

    "A lot could happen in two years, after all. People could grow apart, they might meet other people."

    "Sometimes they might die.{w} Sometimes they were forgotten."

    "But some things were remembered,{w} sometimes forever."

    scene bg ripple with fade

    "The memory of certain people and the message of their life would never fade away."

    show flora at center with dissolve

    "Flora had been one such person to me."

    "It was two years ago today."

    hide flora with dissolve

    $ save_name = "Memory"
    scene bg sunsetmemory with fade

    "She and I had met on the pier overlooking the lake. It was to be our last meeting before she went to the city hospital for treatment."

    "It had been a golden summer for the both of us... the first time I knew I had truly fallen in love, and the first time she had smiled since her illness."

    "My heart had been breaking when we looked out at the setting sun. I didn't know what I could say, so we remained in silence."

    "We didn't know how long we would be separated, only that it would be more than a year."

    show flora at left with dissolve

    "Finally, Flora had turned to me and smiled that smile of hers. The smile that said she was trying to be brave, that she wouldn't give up hope."    

    "And we had made that promise."

    hide flora with dissolve

    $ _window_during_transitions = False
    with None 

    $ renpy.pause(1.0)
    show text "{i}Two years from now, let's meet back here.{/i}" with dissolve
    $ renpy.pause(2.0)
    hide text with dissolve

    show text "{i}And if we haven't forgotten each other,{i}" with dissolve
    $ renpy.pause(2.0)
    hide text with dissolve

    show text "{i} we'll watch the sunset together on this lake.{/i}" with dissolve
    $ renpy.pause(3.0)
    hide text with dissolve

    $ _window_during_transitions = True
    with None 

    $ save_name = "Decision"
    scene bg sky with fade

    "The sky was turning red as I moored the boat to the pier. The sun had almost set."

    "I looked up at the clouds, feeling the evening wind ruffle my hair. It sounded almost
     like a voice... a voice I had been longing to hear for the last two years."
  
    menu:

        "Flora..."

        "I will never forget you.":
           jump promise

        "I wish you could be here.":
           jump together

label promise:

    $ save_name = "The Promise"
    scene bg sunsetpromise with fade

    "Flora had never come back, after all."

    "The ripple had reached the shore, and found it too big to overcome." 

    "She had died in that lonely, sterile hospital, away from the sights and sounds of the countryside she had loved."

    show flora at center with dissolve

    "But to me, her spirit lingers here, in the wind and the waters of this lake."

    "And somewhere, somehow, I can still feel her smiling at me from beyond the heavens. As long as I live, I will never forget her."

    m "I kept our promise, Flora."

    hide flora with dissolve

    scene black with dissolve

    $ renpy.pause(1.0)
    show text "Ending 1: Promise." with dissolve
    $ renpy.pause(2.0)
    hide text with dissolve
    jump ending


label together:

    $ save_name = "Together"
    scene bg sunsetmemory with fade

    "The sun was beginning to set, and the growing twilight cast strange shadows over the lake."

    "I waited at the same pier where she and I had separated, two years ago."

    "But there was no sign of her."

    "It was to be expected. After two years in the city, not hearing a single bit of news from her except that she had recovered, why would I have thought she would have remembered our promise?"

    "The ripple had reached the shore, and it had been forgotten."

    f "Am I too late?"

    "I knew that voice."
    
    show floracolour at left with dissolve

    "I turned and there she was, smiling at me. Her smile was the same. It could still light up the sky."

    m "You're right on time."

    "Some things didn't need many words to say. Some didn't need words at all."

    "There were things I wanted to ask her, things I wanted to find out about during the two long years of separation."

    "But those could wait."

    "For now, we fulfilled our promise and watched the sunset..." 

    "Together."

    scene black with dissolve

    $ renpy.pause(1.0)
    show text "Ending 2: Together." with dissolve
    $ renpy.pause(2.0)
    hide text with dissolve
    jump ending

label ending:

    show text "Written and directed by Dizzcity." with dissolve
    $ renpy.pause(2.0)
    hide text with dissolve

    show text "Music composed by Sheesh." with dissolve
    $ renpy.pause(2.0)
    hide text with dissolve

    show text "Character art by Vatina." with dissolve
    $ renpy.pause(2.0)
    hide text with dissolve

    show text "Photos courtesy of www.bigfoto.com" with dissolve
    $ renpy.pause(2.0)
    hide text with dissolve

    show text "Made with Ren'Py." with dissolve
    $ renpy.pause(2.0)
    hide text with dissolve

    show text "Thank you for playing." with dissolve
    $ renpy.pause(2.0)
    hide text with dissolve
    
   
    $ renpy.full_restart()

